OpenVDB 12.1.0

Loading...
Searching...
No Matches
ArgType< T, _SIZE > Struct Template Reference

Object to array conversion methods to allow functions to return vector types. These containers provided an interface for automatic conversion of C++ objects to LLVM types as array types. More...

`#include <openvdb_ax/codegen/FunctionTypes.h>`

## Public Types
using | Type = T
using | ArrayType = Type[SIZE]

## Public Attributes
ArrayType | mmArgs

## Static Public Attributes
static const size_t | SIZE = _SIZE

## Detailed Description

template<typename T, size_t _SIZE = 1>
struct openvdb::v12_1::ax::codegen::ArgType< T, _SIZE >

Object to array conversion methods to allow functions to return vector types. These containers provided an interface for automatic conversion of C++ objects to LLVM types as array types.

## Member Typedef Documentation

## ◆ ArrayType

template<typename T, size_t _SIZE = 1>

using ArrayType = Type[SIZE]

## ◆ Type

template<typename T, size_t _SIZE = 1>

using Type = T

## Member Data Documentation

## ◆ mmArgs

template<typename T, size_t _SIZE = 1>

ArrayType mmArgs

## ◆ SIZE

template<typename T, size_t _SIZE = 1>

const size_t SIZE = _SIZE
| static